cf-promises(8)

NAME
cf-promises - cfengine's promise analyzer

SYNOPSIS:
 cf-promises [options]

DESCRIPTION:
The promise agent is a validator and analysis tool for configuration files belonging to any of the components of Cfengine. Configurations that make changes must be approved by this validator before being executed. cfengine is a self-healing configuration and change management based system. You can think of.B cfengine as a very high level language, much higher level than Perl or shell. Asingle statement is called a promise, and compliance can result in many hundreds of filesbeing created, or the permissions of many hundreds offiles being set. The idea of .B cfengine is to create a one or more sets of configuration files which willclassify and describe the setup of every host in a network.

COMMAND LINE OPTIONS:

--help, -h
    Print the help message

--bundlesequence, -b
    Use the specified bundlesequence for verification

--debug, -d
    Enable debugging output

--verbose, -v
    Output verbose information about the behaviour of the agent

--dry-run, -n
    All talk and no action mode - make no changes, only inform of promises not kept

--version, -V
    Output the version of the software

--file, -f
    Specify an alternative input file than the default

--define, -D
    Define a list of comma separated classes to be defined at the start of execution

--negate, -N
    Define a list of comma separated classes to be undefined at the start of execution

--inform, -I
    Print basic information about changes made to the system, i.e. promises repaired

--diagnostic, -x
    Activate internal diagnostics (developers only)

--analysis, -a
    Perform additional analysis of configuration

--reports, -r
    Generate reports about configuration and insert into CFDB

--parse-tree, -p
    Print a parse tree for the policy file in JSON format

--gcc-brief-format, -g
    Use the GCC brief-format for output

AUTHOR
Mark Burgess and CFEngine AS

INFORMATION
Bug reports: http://bug.cfengine.com, .pp Community help: http://forum.cfengine.com Community info: http://www.cfengine.com/pages/community Support services: http://www.cfengine.com This software is Copyright (C) 2008-2013 CFEngine AS.